
package de.ivu.elect.presentation.wahlvorschlag.table;

import de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung;
import de.ivu.elect.business.wahlvorschlag.entity.ListenverbindungConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class ListeListenverbindungColumn extends AbstractListeListenverbindungColumn {

  private static final long serialVersionUID = 1L;

  public ListeListenverbindungColumn(Messages messages) {
    super("Liste-Listenverbindung", messages, ListenverbindungConstants.MESSAGE_KEY_ENTITY_EINZAHL, ColumnType.STRING, liste -> {
      if (liste != null) {
        Listenverbindung listenverbindung = liste.getListenverbindung();

        if (listenverbindung != null) {
          return listenverbindung.getBezeichnung();
        }
      }

      return "";
    });
  }
}
